import { Component, OnInit } from '@angular/core';
import { BsModalService } from 'ngx-bootstrap/modal';
import { FramePageComponent } from 'src/app/routes/frame/core/page/frame.page';

@Component({
  selector: 'app-room-model-photo-page',
  templateUrl: './room-model-photo-page.component.html',
  styleUrls: ['./room-model-photo-page.component.scss']
})
export class RoomModelPhotoPageComponent extends FramePageComponent implements OnInit {

  num:any;

  constructor(private modalService: BsModalService) {
    super(modalService);
   }

  ngOnInit(): void {
  }

  reload() {
    this.pager.reload({num: this.num});
  }

  export() {
    this.FuncService.ajaxDownload('ly/room/model/photo/export.htm', {num: this.num, query: this.pager.query});
  }

}
